*.form-control, input, select, textarea, option, label{
    color: #000 !important;
}

:root{
    --thanhdo-default-color : #3399cc
}
.card-title, .text, .form-search, .modal-title{
    font-family: nifty-demo-icons, serif!important;
}

body {
    font-family: nifty-demo-icons, serif!important;
}

th, td, button, h3, h4, h1, h2, p{
    font-family: nifty-demo-icons, serif!important;
}
th{
    font-size: 16px;
}
td{
    font-size: 14px;
}
.error {
    color: #e10f0f !important;
    margin-top: 5px;
}
a:focus-visible {
    outline: none;
}
.txt-right {
    text-align: right;
}
.bold {
    font-weight: 600;
}
.wh-brk {
    white-space: break-spaces;
    overflow-wrap: anywhere;
}
.wd-fit {
    width: fit-content;
}
.black {
    color: black;
}
.loader {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 2s linear infinite;
}
.rel {
    position: relative;
}
.bg-color-main {
    background-color: var(--thanhdo-default-color);
}
thead > tr.bg-color-main > th {
    color: white;
}
.mg-4 {
    margin: 4px;
}

button.btn-main-color, button.btn-main-color:hover, button.btn-main-color:focus, button.btn-main-color:active {
    background-color: var(--thanhdo-default-color);
    border-color: var(--thanhdo-default-color);
    outline: none;
}
button.btn-main-color:hover, button.btn-main-color:focus-visible, button.btn-main-color:focus{
    box-shadow: inset 0 0 0 100px rgba(0,0,0,0.2) !important;
    outline: none;
}
.page-link:hover, ul .active .page-link {
    background-color: var(--thanhdo-default-color) !important;
    border-color: var(--thanhdo-default-color) !important;
}

.flex-1 {
    flex: 1 !important;
}
/* Safari */
@-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/* custom css select 2 */
.select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 36px;
    padding-left: 14px;
}

.select2-container .select2-selection--single{
    height: 38px;
    border: 1px solid rgba(0,0,0,.07);
    border-radius: 0.4375rem;
}
.select2-dropdown--below{
    border: 1px solid rgba(0,0,0,.07);
    border-radius: 0.4375rem;
}
.select2-container *:focus {
    outline: black;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 6px;
    right: 10px;
}
.select2-results__option.select2-results__option--selectable, .select2-selection__rendered {
    color: black !important;
}

.select2-results__option.select2-results__option--selectable.select2-results__option--highlighted {
    color: white !important;
}
/* end custom css select 2 */

/* main nav custome css */
.mainnav__menu .mininav-toggle .nav-label{
    color: black;
    font-size: 14px;
}
.mainnav__inner .mainnav__menu a.nav-link{
    color: #363636 ;
    font-size: 14px;
}
.mainnav__inner .mainnav__menu a.nav-link.collapsed {
    font-size: unset;
}
.mn--min .mainnav__menu>.nav-item, .mn--min .mainnav__menu>.nav-item>.nav-link i {
    font-size: 1.1rem!important;
}
/* end main nav custome css */

/* timeline */
.timeline-steps {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.timeline-steps .timeline-step {
    align-items: center;
    display: flex;
    flex-direction: column;
    position: relative;
    width: 80px
}

@media (min-width:768px) {
    .timeline-steps {
        display: flex;
        justify-content: center;
        flex-wrap: nowrap!important;
    }
    .timeline-steps .timeline-step:not(:first-child)::before {
        content: "";
        display: block;
        border-top: .15rem solid #e0e4f1;
        width: 4rem;
        position: absolute;
        right: 3rem;
        top: 2.5rem
    }

    .achive-status :not(:last-child):before {
        content: "";
        display: block;
        border-top: .45rem solid #3b82f6;
        width: 5.2rem;
        position: absolute;
        right: 7.5rem;
        top: 4.5rem
    }
}
.timeline-steps .timeline-content {
    width: 6rem;
    text-align: center
}

.timeline-steps .timeline-content .inner-circle {
    border-radius: 1.5rem;
    height: 1rem;
    width: 1rem;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: #3b82f6
}

.timeline-steps .timeline-content .inner-circle:before {
    content: "";
    background-color: #3b82f6;
    display: inline-block;
    height: 3rem;
    width: 3rem;
    min-width: 3rem;
    border-radius: 6.25rem;
    opacity: .5
}
.timeline-steps .timeline-step:not(:last-child) .timeline-content .time-between {
    position: absolute;
    right: 0;
    top: 30px;
    transform: translate(50%, -50%);
    font-size: 13px;
}
.number-inner-circle{
    width: 16px;
    line-height: 16px;
    border-radius: 50%;
    text-align: center;
    font-size: 13px;
    border: 1px solid #807f7f;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}
.active .number-inner-circle {
    border: 1px solid #3b82f6;
}
.timeline-steps .active:before {
    border-top: .15rem solid #3b82f6 !important;
}
@media all and (max-width: 1700px) {
    .timeline-steps .timeline-step {
        width: 64px;
    }
    .timeline-step .h7 {
        font-size: 13px;
    }
    .timeline-steps .timeline-step:not(:first-child)::before{
        right: 2.5rem;
        width: 3rem;
    }
    .timeline-steps .timeline-step:not(:last-child) .timeline-content .time-between {
        font-size: 12px;
    }
  }
/* end timeline */

/* change default input and label font size  */
input.form-control, select.form-control, textarea.form-control, select.form-select, .select2-selection__rendered, option.form-control, .select2-results__option{
    font-size: 0.9rem;
}
*.form-label {
    font-size: 1rem !important;
    font-weight: 600;
    color: #2d2d2d;
}
.card-title {
    font-weight: 600;
}
.error {
    font-size: 14px;
}
/* end */

/* loader */
.btn-circle-loader {
    width: 20px;
    height: 20px;
    border: 2px solid #FFF;
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}
    /* Safari */
@-webkit-keyframes rotation {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}

@keyframes rotation {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
/* end loader */

/* Custom CSS for Google Map */
.gm-style-iw-d {
    scrollbar-width: none;
}
.gm-style-iw.gm-style-iw-c {
    padding: 12px !important;
}
/* End custom CSS for Google Map */
th.tbl-sticky {
    background-color: var(--thanhdo-default-color) !important;
}
@media all and (min-width: 820px) {
    .tbl-sticky {
        position: sticky;
        left: -1px;
        z-index: 999999;
    }
    /* th.tbl-sticky {
        background-color: var(--thanhdo-default-color) !important;
    } */
    td.tbl-sticky {
        background-color: white  !important;
    }
}

/* CSS for report table */
@media all and (max-width: 1750px) {
    .minw-lg-70 {
        min-width: 70px;
    }
    .minw-lg-100 {
        min-width: 100px;
    }
    .minw-lg-125 {
        min-width: 125px;
    }
    .minw-lg-150 {
        min-width: 150px;
    }
    .minw-lg-170 {
        min-width: 170px;
    }
    .minw-lg-200 {
        min-width: 200px;
    }
    .minw-lg-250 {
        min-width: 250px;
    }
    .minw-lg-300 {
        min-width: 300px;
    }
    .minw-lg-400 {
        min-width: 400px;
    }
}
/* End CSS for report table */

@media (min-width: 1450px) {
    .col-xxl-12 {
        flex: 0 0 auto;
        width: 100%;
    }
    .col-xxl-11 {
        flex: 0 0 auto;
        width: 91.66667%;
    }
    .col-xxl-10 {
        flex: 0 0 auto;
        width: 83.33333%;
    }
    .col-xxl-9 {
        flex: 0 0 auto;
        width: 75%;
    }
    .col-xxl-8 {
        flex: 0 0 auto;
        width: 66.66667%;
    }
    .col-xxl-7 {
        flex: 0 0 auto;
        width: 58.33333%;
    }
    .col-xxl-6 {
        flex: 0 0 auto;
        width: 50%;
    }
    .col-xxl-5 {
        flex: 0 0 auto;
        width: 41.66667%;
    }
    .col-xxl-4 {
        flex: 0 0 auto;
        width: 33.33333%;
    }
    .col-xxl-3 {
        flex: 0 0 auto;
        width: 25%;
    }
    .col-xxl-2 {
        flex: 0 0 auto;
        width: 16.66667%;
    }
    .col-xxl-1 {
        flex: 0 0 auto;
        width: 8.33333%;
    }
}
/* CSS cho google map infowindow */
.gm-style-iw-chr button span {
    width: 20px !important;
    height: 20px !important;
    background-repeat: no-repeat !important;
    margin: 0 !important;
}
.gm-style-iw-chr button {
    width: 20px !important;
    height: 20px !important;
    position: absolute !important;
    top: 2px;
    right: 2px;
}
.gm-style-iw-chr button:focus-visible {
    outline: none !important;
}

.gm-style-iw-chr .gm-style-iw-ch {
    display: none !important;
}
.gm-style-iw-d {
    padding-right: 8px !important;
}
/* END CSS cho google map infowindow */

/* Custom spinner */
@keyframes spinner-custom {
    to {transform: rotate(360deg);}
}
   
.spinner-custom:before {
    content: '';
    box-sizing: border-box;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 20px;
    height: 20px;
    margin-top: -10px;
    margin-left: -10px;
    border-radius: 50%;
    border: 2px solid #ccc;
    border-top-color: #07d;
    animation: spinner-custom .6s linear infinite;
}
button.spinner-custom, button.spinner-custom:hover {
    position: relative;
    background: var(--thanhdo-default-color);
    background-color: var(--thanhdo-default-color) !important;
    color: var(--thanhdo-default-color) !important;
    box-shadow: none !important;
    border-color: unset !important;
    opacity: unset !important;
}
/* END Custom spinner */

.center, thead > tr {
    vertical-align: middle !important;
}
td:first-child {
    text-align: center;
}
.nav-link.msb-menu {
    color: white !important;
    box-shadow: none;
    border-radius: .4375rem;
    font-weight: 500;
    background-color: var(--thanhdo-default-color);
}
.nav-link.msb-menu * {
    color: white !important;
}
.mininav-toggle.nav-link.msb-menu i, .root .mainnav__inner .nav-link.msb-menu i {
    color: inherit !important;
}
 .nav:not(.nav-pills) .nav-link.active{
    color: var(--thanhdo-default-color) !important;
}

#toast-container>div {
    opacity: 1;
}

.noti-unread {
    height: 12px;
    width: 12px;
    display: inline-block !important;
}